# Section Three: Understanding Your Bitcoin Setup

This section lays out the basics of understanding your bitcoin setup and how to use its wallet features.

It presumes that you have a VPS with bitcoin installed, running bitcoind. It also presumes that you are connected to testnet, allowing for access to bitcoins without using real funds. You can either do this by hand, per [2.1: Setting up a Bitcoin-Core VPS by Hand](./2_1_Setting_Up_a_Bitcoin-Core_VPS_by_Hand.md), or do it with a Linode StackScript at Linode.com, per [2.2: Setting up a Bitcoin-Core VPS with StackScript](./2_2_Setting_Up_a_Bitcoin-Core_VPS_with_StackScript.md).

## Objectives for This Section

After working through this section, a developer will be able to:

   * Demonstrate that Their Bitcoin Node is Installed and Up-to-date
   * Create an Address to Receive Bitcoin funds
   * Use Basic Wallet Commands
   
Supporting objectives include the ability to:

   * Understand the Basic Bitcoin File Layout
   * Use Basic Informational Commands
   * Understand What a Bitcoin Address Is
   * Understand What a Wallet Is
   
## Table of Contents

* [Part One: Verifying Your bitcoin-cli Setup](3_1_Verifying_Your_Bitcoin-CLI_Setup.md)
* [Part Two: Setting Up Your Wallet](3_2_Setting_Up_Your_Wallet.md)
* [Part Three: Receiving a Transaction](3_3_Receiving_a_Transaction.md)

